## org.eclipse.emf.ecore.util
Class EContentsEList.FeatureIteratorImpl<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl<E>

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>, EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>

Direct Known Subclasses:
  EContentsEList.ResolvingFeatureIteratorImpl, ECrossReferenceEList.FeatureIteratorImpl

Enclosing class:
  EContentsEList<E>

    public static class EContentsEList.FeatureIteratorImpl<E>

extends java.lang.Object
implements EContentsEList.FeatureListIterator<E>

Field Summary
`protected int` `cursor`
`static java.util.ListIterator<?>` `EMPTY_ITERATOR`
`protected EObject` `eObject`
`protected EStructuralFeature[]` `eStructuralFeatures`
`protected EStructuralFeature` `feature`
`protected int` `featureCursor`
`protected boolean` `isHandlingFeatureMap`
`protected int` `prepared`
`protected EStructuralFeature` `preparedFeature`
`protected E` `preparedResult`
`protected InternalEList<E>` `valueInternalEList`
`protected java.util.List<E>` `valueList`
`protected int` `valueListIndex`
`protected int` `valueListSize`
`protected java.util.ListIterator<E>` `values`

Constructor Summary
`EContentsEList.FeatureIteratorImpl(EObject eObject, EStructuralFeature[] eStructuralFeatures)`
`EContentsEList.FeatureIteratorImpl(EObject eObject, java.util.List<? extends EStructuralFeature> eStructuralFeatures)`

Method Summary
`void` `add(java.lang.Object o)`

`static

`<T> java.util.ListIterator<T>`

`

`emptyIterator()`

`EStructuralFeature` `feature()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`protected boolean` `isIncluded(EStructuralFeature eStructuralFeature)`
`protected boolean` `isIncludedEntry(EStructuralFeature eStructuralFeature)`
`E` `next()`
`int` `nextIndex()`
`E` `previous()`
`int` `previousIndex()`
`void` `remove()`
`protected boolean` `resolve()`
`protected boolean` `scanNext()`
`protected boolean` `scanNext(java.util.ListIterator<E> values)`
`protected boolean` `scanPrevious()`
`protected boolean` `scanPrevious(java.util.ListIterator<E> values)`
`void` `set(java.lang.Object o)`
`protected boolean` `useIsSet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eObject

    protected final EObject eObject

### eStructuralFeatures

    protected final EStructuralFeature[] eStructuralFeatures

### featureCursor

    protected int featureCursor

### cursor

    protected int cursor

### prepared

    protected int prepared

### preparedResult

    protected E preparedResult

### preparedFeature

    protected EStructuralFeature preparedFeature

### feature

    protected EStructuralFeature feature

### isHandlingFeatureMap

    protected boolean isHandlingFeatureMap

### values

    protected java.util.ListIterator<E> values

### valueInternalEList

    protected InternalEList<E> valueInternalEList

### valueList

    protected java.util.List<E> valueList

### valueListSize

    protected int valueListSize

### valueListIndex

    protected int valueListIndex

### EMPTY_ITERATOR

    public static final java.util.ListIterator<?> EMPTY_ITERATOR

Constructor Detail

### EContentsEList.FeatureIteratorImpl

    public EContentsEList.FeatureIteratorImpl(EObject eObject,
                                              java.util.List<? extends EStructuralFeature> eStructuralFeatures)

### EContentsEList.FeatureIteratorImpl

    public EContentsEList.FeatureIteratorImpl(EObject eObject,
                                              EStructuralFeature[] eStructuralFeatures)

Method Detail

### resolve

    protected boolean resolve()

### useIsSet

    protected boolean useIsSet()

### isIncluded

    protected boolean isIncluded(EStructuralFeature eStructuralFeature)

### isIncludedEntry

    protected boolean isIncludedEntry(EStructuralFeature eStructuralFeature)

### feature

    public EStructuralFeature feature()

  Specified by:
    `feature` in interface `EContentsEList.FeatureIterator<E>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`
  Specified by:
    `hasNext` in interface `java.util.ListIterator<E>`

### scanNext

    protected boolean scanNext(java.util.ListIterator<E> values)

### scanNext

    protected boolean scanNext()

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`
  Specified by:
    `next` in interface `java.util.ListIterator<E>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator<E>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator<E>`

### scanPrevious

    protected boolean scanPrevious(java.util.ListIterator<E> values)

### scanPrevious

    protected boolean scanPrevious()

### previous

    public E previous()

  Specified by:
    `previous` in interface `java.util.ListIterator<E>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator<E>`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator<E>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`
  Specified by:
    `remove` in interface `java.util.ListIterator<E>`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator<E>`

### emptyIterator

    public static <T> java.util.ListIterator<T> emptyIterator()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.